# SkinTuner

Adds a new Skin panel to the character select screen with sliders that allow you to adjust the RGB values of each survivor. Sliders can also be updated in mod settings if using Risk_Of_Options. Also works with modded survivors and skins.

![Screenshot of character select screen showing Huntress with a seafoam color applied](https://cdn.discordapp.com/attachments/1165200277624852521/1179790483707404409/image.png)

# Known Mod Incompatibilities

*ScrollableLobbyUI*
* Temp fix in place to prevent changes to the character select screen, requires [Risk_Of_Options](https://thunderstore.io/package/Rune580/Risk_Of_Options/) to access the sliders in the mod settings menu.

*ModelSwapperSkins*
* RGB colors are assigned to the skin of a given survivor, so if you're applying Commando's model to Artificer then it will use the RGB values for Commando.
* RGB colors do not apply to non-survivor models.

*RiskOfChaos*
* Prevents the Randomize Loadout effect from having any effect other than respawning the player with the same loadout (this is a weird one, we'll fix it *eventually*).

Essentially any mod that also makes changes to the character select screen may cause issues with SkinTuner, if you come across any incompatibilities with mods not listed here, or any other bugs, please report them in the #bug-reports channel in the [RiskofResources](https://discord.gg/riskofresources) discord

# Future Plans

- Add a global override checkbox with sliders that will apply the color to ***all*** survivors in mod settings
- Add networking support to display skin colors in multiplayer
- Add more deployables and apply color to AI allies (would be configurable)
- Super Secret Extra Plan™ ![Any and all questions surrounding the Super Secret Extra Plan™ will add a delay of +1 month to the release of the Super Secret Extra Plan™](https://cdn.discordapp.com/attachments/1165200277624852521/1179799633946480650/racesP.png)

# Changelog

**1.0.1**

- Trim potential leading whitespace from survivor names to prevent BepInEx exception
- Handle the potential for survivors with duplicate names by recursively appending "_1", "_2", etc... to the end of the survivor name

**1.0.0**

- Finally release the mod
- Update character select screen sliders when RGB values are updated in the mod settings

**0.3.1**

- Prevent UI changes if ScrollableLobbyUI is loaded

**0.3.0**

- Add separate skin panel to adjust color in the lobby
- Apply to deployable e.g. *Loader* pylon, *Captain* beacon

**0.2.3**

- Fix Acrid's goo puddle preventing the user from changing skins

**0.2.2**

- Actually fix Engi Turrets

**0.2.1**

- Prevent monsters from having their skin colors overridden

**0.2.0**

- All skins now update in realtime and do not require a body change to update
- Fixed bug where engi turrets couldn't be placed due to an NRE

**0.1.0**

- Testing sliders affecting RendererInfos
- Added new button and panel to hold skin customisation options in the character select screen

**0.0.1**

- Project setup